#include "sah_gfx_main.h"
#include "boinc_api.h"
#include "graphics2.h"

SAH_SHMEM* sah_shmem;
REDUCED_ARRAY_GEN rarray;
GDATA* sah_graphics;
bool nographics_flag = false;

void update_shmem() {
}

void sah_graphics_init(APP_INIT_DATA& app_init_data) {
    if (nographics_flag) return;
    if ((app_init_data.host_info.m_nbytes != 0)  &&
        (app_init_data.host_info.m_nbytes <= (double)(48*1024*1024))
    ) {
        fprintf(stderr,"Low memory machine... Disabling graphics.\n");
        fprintf(stderr,"%f <= %f\n",app_init_data.host_info.m_nbytes,(double)48*1024*1024);
        nographics_flag = true;
        return;
    }
    sah_shmem = (SAH_SHMEM*)boinc_graphics_make_shmem("setiathome", sizeof(SAH_SHMEM));
    if (!sah_shmem) {
        nographics_flag = true;
        return;
    }
    sah_graphics = &(sah_shmem->gdata);
    boinc_register_timer_callback(update_shmem);
}